Page MenuHomePhabricator

1.32.0-wmf.3 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.3
Release Date
May 7 2018, 12:00 AM

2018 week 19 1.32-wmf.3 Changes wmf/1.32.0-wmf.3

This MediaWiki Train Deployment is scheduled for the week of Monday, May 7th:

Monday May 7thTuesday, May 8thWednesday, May 9thThursday, May 10thFriday
Backports only.Branch wmf.3 and deploy to Group 0 Wikis.Deploy wmf.3 to Group 1 Wikis.Deploy wmf.3 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.3 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.2
Next: 1.32.0-wmf.4

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Medium priority.Mar 29 2018, 6:16 PM
mmodell claimed this task.May 7 2018, 4:15 PM

Mentioned in SAL (#wikimedia-operations) [2018-05-08T18:18:45Z] <twentyafterfour> Branching MediaWiki master to wmf/1.32.0-wmf.3 refs T191049

Mentioned in SAL (#wikimedia-operations) [2018-05-08T19:14:25Z] <twentyafterfour> testwikis to 1.32.0-wmf.3 - https://gerrit.wikimedia.org/r/#/c/431821/ refs T191049

Mentioned in SAL (#wikimedia-operations) [2018-05-08T21:59:06Z] <twentyafterfour> MediaWiki train for 1.32.0-wmf.3 group0 is complete. Will resume with group1 tomorrow, same bat time, same bat channel (refs T191049)

Mentioned in SAL (#wikimedia-operations) [2018-05-09T20:00:44Z] <twentyafterfour> group1 to 1.32.0-wmf.3 refs T191049

Mentioned in SAL (#wikimedia-operations) [2018-05-10T01:16:41Z] <twentyafterfour@tin> Synchronized php-1.32.0-wmf.3/includes/libs/rdbms: sync https://gerrit.wikimedia.org/r/#/c/432297/ refs T194308 T191049 (duration: 01m 24s)

Mentioned in SAL (#wikimedia-operations) [2018-05-10T20:02:12Z] <twentyafterfour> New branch 1.32.0-wmf.3 appears to be stable on all wikis. This completes the train for the week. Tune in again next week, same bat time, same bat channel. refs T191049

mmodell closed this task as Resolved.May 10 2018, 8:02 PM